yajl_common.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Data Structures

struct | yajl_alloc_funcs

## Macros

#define | YAJL_MAX_DEPTH 128
#define | YAJL_API

## Typedefs

typedef void *(* | yajl_malloc_func) (void *ctx, size_t sz)
typedef void(* | yajl_free_func) (void *ctx, void *ptr)
typedef void *(* | yajl_realloc_func) (void *ctx, void *ptr, size_t sz)

## Macro Definition Documentation

## YAJL_API

#define YAJL_API

Referenced by yajl_alloc(), yajl_complete_parse(), yajl_config(), yajl_free(), yajl_free_error(), yajl_gen_alloc(), yajl_gen_array_close(), yajl_gen_array_open(), yajl_gen_bool(), yajl_gen_clear(), yajl_gen_config(), yajl_gen_double(), yajl_gen_free(), yajl_gen_get_buf(), yajl_gen_integer(), yajl_gen_map_close(), yajl_gen_map_open(), yajl_gen_null(), yajl_gen_number(), yajl_gen_reset(), yajl_gen_string(), yajl_get_bytes_consumed(), yajl_get_error(), yajl_parse(), yajl_status_to_string(), yajl_tree_free(), yajl_tree_get(), and yajl_tree_parse().

## YAJL_MAX_DEPTH

#define YAJL_MAX_DEPTH 128

## Typedef Documentation

## yajl_free_func

typedef void(* yajl_free_func) (void *ctx, void *ptr)

pointer to a free function, supporting client overriding memory allocation routines

## yajl_malloc_func

typedef void *(* yajl_malloc_func) (void *ctx, size_t sz)

pointer to a malloc function, supporting client overriding memory allocation routines

## yajl_realloc_func

typedef void *(* yajl_realloc_func) (void *ctx, void *ptr, size_t sz)

pointer to a realloc function which can resize an allocation.